#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include "devfile.h"



int send_data (int fd, uint8_t sd)
{
	uint8_t rd;

	fprintf(stderr, "\awriting (%02x)...", (unsigned)sd);
	errno = 0;
	if ( write(fd, &sd, sizeof(sd)) == sizeof(sd) ) {
		fprintf(stderr, "ok.\n");
	}
	else {
		perror("write");
		return -1;
	}

	fprintf(stderr, "reading...");
	if ( read(fd, &rd, sizeof(rd)) != sizeof(rd) ) {
		perror("read");
		return -1;
	}
	else {
		fprintf(stderr, "(%02x) ok.\n", rd);
	}

	return 0;
}



int main (void)
{
	int fd;

	fd = open(FNAME, O_RDWR);
	if ( fd < 0 ) {
		perror("open");
		return -1;
	}

	send_data(fd, 0x00);
	sleep(2);
	send_data(fd, (uint8_t)-0x60);
	sleep(2);
	send_data(fd, 0x00);
	sleep(2);
	send_data(fd, 0x60);
	sleep(2);
	send_data(fd, 0x00);
	sleep(2);


	close(fd);
	
	return 0;
}

