#!/bin/bash


install()
{
	cd ~uchibori/motor-driver/module/
	../script/fpga start >& /dev/null
	sleep 1
	../script/mg3-md start
	echo -n '[/proc/modules]  '
	grep sci /proc/modules
	echo -n '[/proc/devices]  '
	grep mirS /proc/devices
	echo '[/dev/]'
	ls -l /dev | grep mirS
	echo
}

remove()
{
	cd ~uchibori/motor-driver/module/
	../script/mg3-md stop
	if ! grep sci /proc/modules; then
		echo -n o
	fi
	if ! grep mirS /proc/devices; then
		echo -n k
	fi
	if ! ls -l /dev | grep mirS; then
		echo
	fi
}


open_test()
{
	if [ -x ./open ]; then
		if ! ./open; then
			remove
			exit -1
		fi
	fi
	echo
}


rw_test()
{
	if [ -x ./rw ]; then
		if ! ./rw; then
			remove
			exit -1
		fi
	fi
	echo
}


select_test()
{
	if [ -x ./select ]; then
		if ! ./select; then
			remove
			exit -1
		fi
	fi
	echo
}

ioctl_test()
{
	if [ -x ./ioctl ]; then
		if ! ./ioctl; then
			remove
			exit -1
		fi
	fi
	echo
}

fsync_test()
{
	if [ -x ./fsync ]; then
		if ! ./fsync; then
			remove
			exit -1
		fi
	fi
	echo
}

mt_test()
{
	if [ -x ./mt ]; then
		if ! ./mt; then
			remove
			exit -1
		fi
	fi
	echo
}


install

cd ~uchibori/motor-driver/module/test

echo -n 
open_test
rw_test
select_test
ioctl_test
fsync_test
mt_test



remove
